/* ----------------------------------------------------------
   Global Form Buttons
---------------------------------------------------------- */
input[type="submit"] {
    background: var(--wp--custom--button--primary--background);
    color: var(--wp--custom--button--primary--text);
    border: 2px solid var(--wp--custom--button--primary--background);
    border-radius: 24px;
    font-size: var(--wp--preset--font-size--button-large);
    font-family: var(--wp--preset--font-family--gelion);
    font-weight: 500;
    padding: 12px 20px;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}

input[type="submit"]:hover {
    background: var(--wp--custom--button--primary--hover);
    color: var(--wp--custom--button--primary--text);
    border-color: var(--wp--custom--button--primary--hover);
}

input[type="submit"]:active {
    background: var(--wp--custom--button--primary--active);
    color: var(--wp--custom--button--primary--text);
    border-color: var(--wp--custom--button--primary--active);
}

/* ----------------------------------------------------------
   Button interaction states
---------------------------------------------------------- */

/* Primary */
.wp-block-button__link:hover,
.wp-block-button.is-style-primary .wp-block-button__link:hover {
    background: var(--wp--custom--button--primary--hover);
    color: var(--wp--custom--button--primary--text);
    border-color: var(--wp--custom--button--primary--hover);
}

.wp-block-button__link:active,
.wp-block-button.is-style-primary .wp-block-button__link:active {
    background: var(--wp--custom--button--primary--active);
    color: var(--wp--custom--button--primary--text);
    border-color: var(--wp--custom--button--primary--active);
}

/* Secondary */
.wp-block-button.is-style-secondary .wp-block-button__link {
    background: var(--wp--custom--button--secondary--background);
    color: var(--wp--custom--button--secondary--text);
    border-color: var(--wp--custom--button--secondary--border);
}

.wp-block-button.is-style-secondary .wp-block-button__link:hover {
    background: var(--wp--custom--button--secondary--hover);
    color: var(--wp--custom--button--secondary--text);
    border-color: var(--wp--custom--button--secondary--border);
}

.wp-block-button.is-style-secondary .wp-block-button__link:active {
    background: var(--wp--custom--button--secondary--active);
    color: var(--wp--custom--button--secondary--text);
    border-color: var(--wp--custom--button--secondary--border);
}

/* Tertiary */
.wp-block-button.is-style-tertiary .wp-block-button__link:hover {
    background: var(--wp--custom--button--tertiary--hover);
    color: var(--wp--custom--button--tertiary--text);
    border-color: var(--wp--custom--button--tertiary--hover);
}

.wp-block-button.is-style-tertiary .wp-block-button__link:active {
    background: var(--wp--custom--button--tertiary--active);
    color: var(--wp--custom--button--tertiary--text);
    border-color: var(--wp--custom--button--tertiary--active);
}

/* Text */
.wp-block-button.is-style-text .wp-block-button__link {
    background: transparent;
    color: var(--wp--preset--color--brand-primary-navy);
    border-color: transparent;
    padding: 0;
}

.wp-block-button.is-style-text .wp-block-button__link:hover,
.wp-block-button.is-style-text .wp-block-button__link:active {
    background: transparent;
    color: var(--wp--preset--color--deep-navy-600);
    border-color: transparent;
}

/* ----------------------------------------------------------
   Button size-specific padding (Large is the default and the padding
   for that is already set in theme.json)
---------------------------------------------------------- */

/* Medium */
.wp-block-button .wp-block-button__link.has-button-medium-font-size {
    padding: 12px 16px;
}

/* Small */
.wp-block-button .wp-block-button__link.has-button-small-font-size {
    padding: 8px 12px;
}

/* ----------------------------------------------------------
   Button icons - front end
---------------------------------------------------------- */

.wp-block-button .wp-block-button__link.has-oomi-icon {
    display: inline-flex;
    align-items: center;
    position: relative;
    overflow: visible !important;
}

.wp-block-button .wp-block-button__link.has-oomi-icon-left {
    padding-left: 2.5em;
}

.wp-block-button .wp-block-button__link.has-oomi-icon-right {
    padding-right: 2.5em;
}

.wp-block-button .wp-block-button__link .oomi-button__icon {
    position: absolute;
    top: -12px;
    bottom: -12px;
    height: calc(100% + 24px);
    width: auto;
    display: flex;
    align-items: center;
    pointer-events: none;
}

.wp-block-button .wp-block-button__link.has-oomi-icon-left .oomi-button__icon {
    left: 5px;
}

.wp-block-button .wp-block-button__link.has-oomi-icon-right .oomi-button__icon {
    right: 5px;
}

.wp-block-button .wp-block-button__link.has-button-small-font-size.has-oomi-icon-left .oomi-button__icon,
.wp-block-button .wp-block-button__link.has-button-medium-font-size.has-oomi-icon-left .oomi-button__icon {
    left: 0px;
}

.wp-block-button .wp-block-button__link.has-button-small-font-size.has-oomi-icon-right .oomi-button__icon,
.wp-block-button .wp-block-button__link.has-button-medium-font-size.has-oomi-icon-right .oomi-button__icon {
    right: 0px;
}

.wp-block-button .wp-block-button__link .oomi-button__icon picture {
    display: flex;
    height: 100%;
    width: auto;
}

.wp-block-button .wp-block-button__link .oomi-button__icon img {
    display: block;
    height: 100%;
    width: auto;
    object-fit: contain;
}

/* ----------------------------------------------------------
   Button icons - editor preview
---------------------------------------------------------- */

.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview .wp-block-button__link,
.block-editor-block-list__block.has-oomi-icon-preview .wp-block-button__link {
    display: inline-flex;
    align-items: center;
    position: relative;
    overflow: visible;
}

.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview-left .wp-block-button__link,
.block-editor-block-list__block.has-oomi-icon-preview-left .wp-block-button__link {
    padding-left: 2.5em;
}

.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview-right .wp-block-button__link,
.block-editor-block-list__block.has-oomi-icon-preview-right .wp-block-button__link {
    padding-right: 2.5em;
}

.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview .wp-block-button__link::before,
.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview .wp-block-button__link::after,
.block-editor-block-list__block.has-oomi-icon-preview .wp-block-button__link::before,
.block-editor-block-list__block.has-oomi-icon-preview .wp-block-button__link::after {
    display: none;
    content: "";
    position: absolute;
    top: -12px;
    bottom: -12px;
    height: calc(100% + 24px);
    width: 32px;
    background-image: var(--oomi-icon-url);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    background-color: transparent;
    pointer-events: none;
}

.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview.has-oomi-icon-preview-left .wp-block-button__link::before,
.block-editor-block-list__block.has-oomi-icon-preview.has-oomi-icon-preview-left .wp-block-button__link::before {
    display: block;
    left: 10px;
}

.editor-styles-wrapper .wp-block-button.has-oomi-icon-preview.has-oomi-icon-preview-right .wp-block-button__link::after,
.block-editor-block-list__block.has-oomi-icon-preview.has-oomi-icon-preview-right .wp-block-button__link::after {
    display: block;
    right: 10px;
}

.editor-styles-wrapper
    .wp-block-button.has-oomi-icon-preview.has-oomi-icon-preview-left
    .has-button-small-font-size::before,
.editor-styles-wrapper
    .wp-block-button.has-oomi-icon-preview.has-oomi-icon-preview-left
    .has-button-medium-font-size::before {
    left: 0px;
}

.editor-styles-wrapper
    .wp-block-button.has-oomi-icon-preview.has-oomi-icon-preview-right
    .has-button-small-font-size::after,
.editor-styles-wrapper
    .wp-block-button.has-oomi-icon-preview.has-oomi-icon-preview-right
    .has-button-medium-font-size::after {
    right: 0px;
}
